Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21832

Description

Convert or copy a selection on a layer (that has not been created through "select by expression", but instead by irregular selections from a

canvas, or a combination of methods) in to the filter/query builder.

OR: If i have made a selection of features not based on a "selection query" or "select by expression" process, but simply by selecting them

from the canvas in an irregular fashion ... it would be great if i could take that irregular selection and turn it into a "filter"? (I know i can

"save as" a new layer - but I am trying to avoid having to do that) by simply clicking a button/command or something similar.

The benefit of this feature would make progressive/iterative selections of selections quicker and without having to "save as" lots of new

files ... or potentially lose them if they are just memory layers.

... beyond progressive/iterative, the important thing is to be able to attempt various selections on an initial selection before been satisfied

and moving to the next stage.

p.s. couple of other friendly folks on the @qgis irc chat agreed that this would be a handy feature!

Sorry if this is already possible ... if it is please let me know (how) and I'll delete this feature request.

History

#1 - 2015-11-11 06:44 AM - guest again

ideally: an option to do this would be to right click on the layer in the layer menu, and click "copy selected features to query builder", OR: "copy selected

features as query" (for pasting at ones leisure wherever)

#2 - 2015-11-11 10:32 PM - guest again

further discussion here: http://gis.stackexchange.com/questions/169957/copy-convert-selection-into-filter-query-builder-of-qgis

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
